> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerproduct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Snowflake Connector

> Validate the OIDC Snowflake connection and store the connector.



## OpenAPI

````yaml https://api.outerproduct.com/openapi.json post /v1/connectors/snowflake
openapi: 3.1.0
info:
  title: OuterProduct API
  description: >-
    Public-facing REST API for OuterProduct model distillation, prediction, and
    explanation.
  version: 0.1.8
servers: []
security: []
paths:
  /v1/connectors/snowflake:
    post:
      tags:
        - connector
      summary: Create Snowflake Connector
      description: Validate the OIDC Snowflake connection and store the connector.
      operationId: create_snowflake_connector_v1_connectors_snowflake_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSnowflakeConnectorRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSnowflakeConnectorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    CreateSnowflakeConnectorRequest:
      properties:
        snowflake_account_id:
          type: string
          title: Snowflake Account Id
        connector_name:
          type: string
          title: Connector Name
      type: object
      required:
        - snowflake_account_id
        - connector_name
      title: CreateSnowflakeConnectorRequest
    CreateSnowflakeConnectorResponse:
      properties:
        id:
          $ref: '#/components/schemas/ID'
        short_id:
          type: string
          title: Short Id
        credential_name:
          type: string
          title: Credential Name
      type: object
      required:
        - id
        - short_id
        - credential_name
      title: CreateSnowflakeConnectorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ID:
      anyOf:
        - type: string
          format: uuid
        - type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key or OAuth2/OIDC access token
      description: >-
        An API key or OAuth2/OIDC access token sent as `Authorization: Bearer
        <token>`.

````